<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setTailTitle](./bitburner.userinterface.settailtitle.md)

## UserInterface.setTailTitle() method

Set the title of the tail window of a script.

**Signature:**

```typescript
setTailTitle(title: string | ReactNode, pid?: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

title


</td><td>

string \| [ReactNode](./bitburner.reactnode.md)


</td><td>

The new title for the tail window.


</td></tr>
<tr><td>

pid


</td><td>

number


</td><td>

_(Optional)_ Optional. PID of the script having its tail closed. If omitted, the current script is used.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

This sets the title to the given string, and also forces an update of the tail window's contents.

The title is saved across restarts, but only if it is a simple string.

If the pid is unspecified, it will modify the current script’s logs.

Otherwise, the pid argument can be used to change the logs from another script.

It is possible to pass any React Node instead of a string. See [ReactElement](./bitburner.reactelement.md) and [ReactNode](./bitburner.reactnode.md) types for additional info.

